*Replication file for "Whither Formal Contracts?"
*Last updated: April 16 2021, by Raul Sanchez de la Sierra


clear
clear mata
clear matrix
clear results
set more off
set matsize 11000

*GLOBALS
********
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"




*Section 4
**********

********************************************************************************************************************************
*FIGURE 1
********************************************************************************************************************************
*provided as tikz code separately in this replication package


********************************************************************************************************************************
*TABLE 1
********************************************************************************************************************************
do "$DOS\TABLE 1 AND TABLE A1 PANEL B.do"



*Section 5
**********


*Section 5.1
************

********************************************************************************************************************************
*TABLE 2
********************************************************************************************************************************
do "$DOS\TABLE 2.do"


********************************************************************************************************************************
*TABLE 3
********************************************************************************************************************************
do "$DOS\TABLE 3.do"


********************************************************************************************************************************
*TABLE 4
********************************************************************************************************************************
do "$DOS\TABLE 4.do"


********************************************************************************************************************************
*FIGURE 2
********************************************************************************************************************************
do "$DOS\FIGURE 2.do"




*Section 5.2
************

********************************************************************************************************************************
*FIGURE 3
********************************************************************************************************************************
do "$DOS\FIGURE 3.do"


********************************************************************************************************************************
* TABLE 5
********************************************************************************************************************************
do "$DOS\TABLE 5.do"


********************************************************************************************************************************
*FIGURE 4
********************************************************************************************************************************
do "$DOS\FIGURE 4.do"


********************************************************************************************************************************
*FIGURE 5
********************************************************************************************************************************
do "$DOS\FIGURE 5.do"


********************************************************************************************************************************
*FIGURE 6
********************************************************************************************************************************
do "$DOS\FIGURE 6.do"


********************************************************************************************************************************
*FIGURE 7
********************************************************************************************************************************
do "$DOS\FIGURE 7.do"



*SUPPLEMENTAL MATERIAL
**********************

********************************************************************************************************************************
*TABLE A.1
********************************************************************************************************************************
do "$DOS\TABLE A1 PANEL A.do"

*PANEL B is produced in dofile TABLE 1 AND TABLE A1 PANEL B



********************************************************************************************************************************
*TABLE A.2
********************************************************************************************************************************
do "$DOS\TABLE A2 PANEL A.do"

do "$DOS\TABLE A2 PANEL B.do"


********************************************************************************************************************************
*TABLE A.3
********************************************************************************************************************************
do "$DOS\TABLE A3.do"


********************************************************************************************************************************
*Figure A.1
********************************************************************************************************************************
do "$DOS\FIGURE A1.do"


********************************************************************************************************************************
*Figure A.2
********************************************************************************************************************************
do "$DOS\FIGURE A2.do"


********************************************************************************************************************************
*Figure A.3
********************************************************************************************************************************
do "$DOS\FIGURE A3.do"


********************************************************************************************************************************
*TABLE A.4
********************************************************************************************************************************
do "$DOS\TABLE A4.do"

