
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"

****************************************************************************************************************************************************************
***PROGRAM FOR TABLE 1
****************************************************************************************************************************************************************

include "$path\DOFILES\PROGRAM.do"

****************************************************************************************************************************************************************
***TABLE A1
****************************************************************************************************************************************************************

use "$DATA\MERCHANT SURVEY.dta", clear


gen MERCHANT_STATE_OTHER = MERCHANT_STATE*(1-MERCHANT_SHI)
label var MERCHANT_STATE_OTHER  "State-favored: \textit{Other}"


cd "$OUTPUT"

sumstats MERCHANT_HOUSEHOLD_SIZE MERCHANT_AGE  MERCHANT_EDUCATION_YEARS MERCHANT_OCC_PUBLIC_2013  MERCHANT_OCC_STUDENT_2013 MERCHANT_OCC_FIRM_2013  MERCHANT_OCC_NGO_2013  MERCHANT_SHI   MERCHANT_STATE_OTHER       ,   filename(TABLE_A1)   nosd  nofirsttitle noobs  firstrowobs("Observations")  nonumber 
