
clear
clear mata
clear matrix
clear results
set more off
set matsize 11000


*GLOBALS
***********************
*set path here
global path "C:\Users\raul\Dropbox\02. Research\03. CONTRACTS\05. REPLICATION"

do "$path\DOFILES\GLOBALS.do"

****************************************************************************************************************************************************************
***PROGRAM FOR TABLE 1
****************************************************************************************************************************************************************

include "$path\DOFILES\PROGRAM.do"

****************************************************************************************************************************************************************
***TABLE A1
****************************************************************************************************************************************************************

use "$DATA\MERCHANT SURVEY.dta", clear


gen MERCHANT_STATE_OTHER = MERCHANT_STATE*(1-MERCHANT_SHI)
label var MERCHANT_STATE_OTHER  "State-favored: \textit{Other}"


cd "$OUTPUT"


sumstats  MERCHANT_GUESS_STATE MERCHANT_trust1 MERCHANT_trust_credit1  MERCHANT_friendly1 MERCHANT_IAT_Trader,   filename(TABLE_A2_PANEL_B) gp2(MERCHANT_STATE MERCHANT_NONSTATE) gp1(MERCHANT)    nosd  nofirsttitle noobs  firstrowobs("Observations")  nonumber  diffexplicitly(MERCHANT_NONSTATE-MERCHANT_STATE)   
